Subject: Re: [PATCH net-next v3 09/13] doc/netlink: Regenerate netlink .rst files if ynl-gen-rst changes

From: Breno Leitao <[email-masked]>
Date: Wed, 13 Dec 2023 06:58:10 -0800

On Wed, Dec 13, 2023 at 09:42:52AM +0000, Donald Hunter wrote:
> Breno Leitao <[email-masked]> writes:
> 
> >> +$(YNL_INDEX): $(YNL_RST_FILES) $(YNL_TOOL)
> >> +	$(Q)$(YNL_TOOL) -o $@ -x
> >
> > Isn't $(YNL_INDEX) depending to $(YNL_TOOL) indirectly since it depends
> > on $(YNL_RST_FILES) ?
> >
> > I mean, do you really need the line above?
> 
> Sure, the transitive dependency is sufficient. I tend to add an explicit
> dependency for a script that gets run in a target.
> 
> Happy to remove that change and respin if you prefer?

I would say it is preferred to remove unnecessary code.

Feel free to add the following line in the new version:

	Reviewed-by: Breno Leitao <[email-masked]>

Thanks for addressing this.